<?php

namespace App\Http\Resources\Gender;

use App\Helpers\DateHelper;
use Illuminate\Http\Resources\Json\Resource;

class Gender extends Resource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'object' => 'gender',
            'name' => $this->name,
            'type' => $this->type,
            'account' => [
                'id' => $this->account->id,
            ],
            'created_at' => DateHelper::getTimestamp($this->created_at),
            'updated_at' => DateHelper::getTimestamp($this->updated_at),
        ];
    }
}
